Payments & Fund TransfersBatch Payments
Create a Batch Payment
Authorization
authorization AuthorizationBearer <token>
Set Your Secret API Key
In: header
Header Parameters
Idempotency-Key?string
A unique value, eg. a UUID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
currency*string
Three-letter ISO 4217 currency code in full uppercase. Must be a currency supported by the payment type.
Length
1 <= lengthpaymentDate*string
The date payment should be sent.
Format
datepayments?array<>
Payments to create in this batch. Maximum 1000 items.
senderAccountCurrency?string
Currency to use in the sender account, if it has multiple currencies. Optional if the sender account only has one currency configured.
senderAccountId*string
ID of the Internal Account that will be debited to make the payments.
Length
1 <= lengthtype*string
Type of payment. Default PAYNOW is via FAST. Refer to the bank specific payment rules page for the supported types.
Length
1 <= lengthResponse Body
*/*
curl -X POST "https://example.com/v1/payment-batches" \ -H "Content-Type: application/json" \ -d '{ "currency": "string", "paymentDate": "2019-08-24", "senderAccountId": "string", "type": "string" }'{ "createdAt": "string", "currency": "string", "id": "string", "metadata": { "fileName": "string" }, "paymentDate": "string", "payments": [ { "amount": 0, "bankChargeBearer": "string", "createdAt": "string", "currency": "string", "customerReference": "string", "id": "string", "instructionForSenderBank": "string", "paymentAdviceEmails": [ "string" ], "paymentDetails": "string", "purposeOfPayment": "string", "receiver": { "address": { "city": "string", "country": "string", "line1": "string", "line2": "string", "postalCode": "string", "state": "string" }, "bank": "string", "bankAccountNumber": "string", "intermediaryBank": "string", "localRoutingIdentifier": "string", "name": "string", "proxyType": "string", "proxyValue": "string" }, "resultCode": "string", "status": "string", "underlyingErrorMessage": "string", "updatedAt": "string" } ], "senderAccountCurrency": "string", "senderAccountId": "string", "status": "string", "type": "string", "underlyingErrorMessage": "string", "updatedAt": "string"}